Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlHierarchyConvexHulls Class Reference

`#include <GlHierarchyConvexHulls.h>`

List of all members.

## Detailed Description

Build a hierarchy of convex hulls

## Public Member Functions

- GlHierarchyConvexHulls (bool fatherHullsIsDeducedFromChilds=true)
- virtual ~GlHierarchyConvexHulls ()
- virtual void compute (tlp::GlLayer *, tlp::Graph *)
- ConvexHullItem * buildComposite (ConvexHullItem *convexHull, GlConvexHull *oldHull)
- void setToOld (ConvexHullItem *convexHull, GlConvexHull *oldHull)

## Public Attributes

- bool deducedFromChilds

## Constructor & Destructor Documentation

tlp::GlHierarchyConvexHulls::GlHierarchyConvexHulls | ( | bool | fatherHullsIsDeducedFromChilds = `true` | ) | `[inline]`

| Basic constructor

virtual tlp::GlHierarchyConvexHulls::~GlHierarchyConvexHulls | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

ConvexHullItem* tlp::GlHierarchyConvexHulls::buildComposite | ( | ConvexHullItem * | convexHull,
|  | GlConvexHull * | oldHull
| ) |

| Create the hierarchy of ConvexHullItem

virtual void tlp::GlHierarchyConvexHulls::compute | ( | tlp::GlLayer * | ,
|  | tlp::Graph * |
| ) | `[virtual]`

| Build the hierarchy for the given graph in GlLayer

void tlp::GlHierarchyConvexHulls::setToOld | ( | ConvexHullItem * | convexHull,
|  | GlConvexHull * | oldHull
| ) |

## Member Data Documentation

bool tlp::GlHierarchyConvexHulls::deducedFromChilds

Tulip Software by LaBRI Visualization Team 2001 - 2010